[ARVADOS-DEV] updated: ad5f9554d13754e16def528a24a2669f7cbd4e5d

git at public.curoverse.com git at public.curoverse.com
Thu Oct 15 16:38:50 EDT 2015


Summary of changes:
 jenkins/deb-common-test-packages.sh                | 32 ++-------
 jenkins/dockerfiles/centos6/Dockerfile             |  7 +-
 .../package-test-dockerfiles/centos6/Dockerfile    |  9 +++
 .../centos6/localrepo.repo                         |  5 ++
 .../package-test-dockerfiles/debian7/Dockerfile    |  4 ++
 .../package-test-dockerfiles/debian8/Dockerfile    |  4 ++
 .../package-test-dockerfiles/ubuntu1204/Dockerfile |  4 ++
 .../package-test-dockerfiles/ubuntu1404/Dockerfile |  4 ++
 jenkins/run-build-packages-all-targets.sh          | 10 ++-
 jenkins/run-build-packages-one-target.sh           | 69 +++++++++++++-------
 jenkins/run-build-packages.sh                      |  2 +
 jenkins/run-deploy.sh                              | 32 +++++++--
 jenkins/run-tests.sh                               |  8 ++-
 jenkins/test-packages-centos6.sh                   | 75 ++++++----------------
 jenkins/test-packages-debian7.sh                   |  4 +-
 jenkins/test-packages-debian8.sh                   |  4 +-
 jenkins/test-packages-ubuntu1204.sh                |  4 +-
 jenkins/test-packages-ubuntu1404.sh                |  4 +-
 18 files changed, 153 insertions(+), 128 deletions(-)
 create mode 100644 jenkins/package-test-dockerfiles/centos6/Dockerfile
 create mode 100644 jenkins/package-test-dockerfiles/centos6/localrepo.repo
 create mode 100644 jenkins/package-test-dockerfiles/debian7/Dockerfile
 create mode 100644 jenkins/package-test-dockerfiles/debian8/Dockerfile
 create mode 100644 jenkins/package-test-dockerfiles/ubuntu1204/Dockerfile
 create mode 100644 jenkins/package-test-dockerfiles/ubuntu1404/Dockerfile
 mode change 100755 => 120000 jenkins/test-packages-debian7.sh
 mode change 100755 => 120000 jenkins/test-packages-debian8.sh
 mode change 100755 => 120000 jenkins/test-packages-ubuntu1204.sh
 mode change 100755 => 120000 jenkins/test-packages-ubuntu1404.sh

       via  ad5f9554d13754e16def528a24a2669f7cbd4e5d (commit)
       via  72c6e7bcd898caa3a2ed718e66b71568fe66bc7d (commit)
       via  d20e33394de2a85f17399e0e4d9d7d2e52c94178 (commit)
       via  b67e59900349a05e6ed030f1cb92020a8109e7dd (commit)
       via  bc27dd23b329c7d82deebb3065917dceba18da27 (commit)
       via  51601a277992c213e60c6bebbc876631891ce699 (commit)
       via  f4d018c979b333d61fed9b1884d7edab540f3c1a (commit)
       via  d3f13c19bdc7b2efe160c66116461faf865fed4e (commit)
       via  8f535386bf3cf4bb0e6a929e4a39796fae235f3f (commit)
       via  3af59ee413454b94ad45bb5d8990896186b5d672 (commit)
       via  82b42172688762c4f5fa7727a6974c94e8ccd86a (commit)
       via  be68e901353548dd87ccadcd62ae82551b1995d2 (commit)
       via  d99331757367dbbb3607a4644a5a6572667cb262 (commit)
      from  39520ae3caa8227e58471b8783106a3c2dba1304 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.


commit ad5f9554d13754e16def528a24a2669f7cbd4e5d
Author: Peter Amstutz <peter.amstutz at curoverse.com>
Date:   Thu Oct 15 16:40:54 2015 -0400

    7370: Fix centos6 package builder container.

diff --git a/jenkins/dockerfiles/centos6/Dockerfile b/jenkins/dockerfiles/centos6/Dockerfile
index d0daef6..0a733e3 100644
--- a/jenkins/dockerfiles/centos6/Dockerfile
+++ b/jenkins/dockerfiles/centos6/Dockerfile
@@ -13,7 +13,7 @@ RUN gpg --keyserver pool.sks-keyservers.net --recv-keys D39DC0E3 && \
     curl -L https://get.rvm.io | bash -s stable && \
     /usr/local/rvm/bin/rvm install 2.1 && \
     /usr/local/rvm/bin/rvm alias create default ruby-2.1 && \
-    /usr/local/rvm/bin/rvm-exec default gem install fpm
+    /usr/local/rvm/bin/rvm-exec default gem install bundle fpm
 
 # Download and install Software Collections for newer requirements
 ADD https://www.softwarecollections.org/en/scls/rhscl/rh-python34/epel-6-x86_64/download/rhscl-rh-python34-epel-6-x86_64.noarch.rpm https://www.softwarecollections.org/en/scls/rhscl/python27/epel-6-x86_64/download/rhscl-python27-epel-6-x86_64.noarch.rpm /opt/

commit 72c6e7bcd898caa3a2ed718e66b71568fe66bc7d
Merge: d20e333 b67e599
Author: Peter Amstutz <peter.amstutz at curoverse.com>
Date:   Thu Oct 15 16:24:07 2015 -0400

    Merge branch 'master' into 7370-package-install-testing
    
    Conflicts:
    	jenkins/run-build-packages-one-target.sh

diff --cc jenkins/run-build-packages-one-target.sh
index 3e0e136,2d8d8df..5b8f2ce
--- a/jenkins/run-build-packages-one-target.sh
+++ b/jenkins/run-build-packages-one-target.sh
@@@ -10,8 -10,8 +10,10 @@@ Syntax
      Distribution to build packages for (default: debian7)
  --command
      Build command to execute (default: use built-in Docker image command)
 +--test-packages
 +    Run package install test script "test-packages-$target.sh"
+ --debug
+     Output debug information (default: false)
  
  WORKSPACE=path         Path to the Arvados source tree to build packages from
  
@@@ -34,7 -34,7 +36,7 @@@ if ! [[ -d "$WORKSPACE" ]]; the
  fi
  
  PARSEDOPTS=$(getopt --name "$0" --longoptions \
-     help,test-packages,target:,command: \
 -    help,debug,target:,command: \
++    help,debug,test-packages,target:,command: \
      -- "" "$@")
  if [ $? -ne 0 ]; then
      exit 1
@@@ -72,48 -73,34 +78,48 @@@ don
  
  set -e
  
 -if [[ "$COMMAND" != "" ]]; then
 -  COMMAND="/usr/local/rvm/bin/rvm-exec default bash /jenkins/$COMMAND --target $TARGET$DEBUG"
 +if [[ -n "$test_packages" ]]; then
 +    if [[ -n "$(find $WORKSPACE/packages/$TARGET -name *.rpm)" ]] ; then
 +        createrepo $WORKSPACE/packages/$TARGET
 +    fi
 +
 +    if [[ -n "$(find $WORKSPACE/packages/$TARGET -name *.deb)" ]] ; then
 +        (cd $WORKSPACE/packages/$TARGET
 +         dpkg-scanpackages . /dev/null | gzip -c > Packages.gz
 +        )
 +    fi
 +
 +    COMMAND="/jenkins/test-packages-$TARGET.sh"
 +    IMAGE="arvados/package-test:$TARGET"
 +else
 +    IMAGE="arvados/build:$TARGET"
 +    if [[ "$COMMAND" != "" ]]; then
-         COMMAND="/usr/local/rvm/bin/rvm-exec default bash /jenkins/$COMMAND --target $TARGET"
++        COMMAND="/usr/local/rvm/bin/rvm-exec default bash /jenkins/$COMMAND --target $TARGET$DEBUG"
 +    fi
  fi
  
 -FINAL_EXITCODE=0
  JENKINS_DIR=$(dirname "$(readlink -e "$0")")
  
 -run_docker() {
 -    local tag=$1; shift
 -    if docker run -v "$JENKINS_DIR:/jenkins" -v "$WORKSPACE:/arvados" \
 -          --env ARVADOS_DEBUG=1 "arvados/build:$tag" $COMMAND; then
 -        # Success - nothing more to do.
 -        true
 -    else
 -        FINAL_EXITCODE=$?
 -        echo "ERROR: $tag build failed with exit status $FINAL_EXITCODE." >&2
 -    fi
 -}
 +if [[ -n "$test_packages" ]]; then
 +    pushd "$JENKINS_DIR/package-test-dockerfiles"
 +else
 +    pushd "$JENKINS_DIR/dockerfiles"
 +fi
  
 -# In case it's needed, build the container. This costs just a few
 -# seconds when the container already exist, so it's not a big deal to
 -# do it on each run.
 -cd "$JENKINS_DIR/dockerfiles"
  echo $TARGET
  cd $TARGET
 -time docker build -t arvados/build:$TARGET .
 -cd ..
 +time docker build --tag=$IMAGE .
 +popd
  
 -run_docker $TARGET
 +FINAL_EXITCODE=0
 +
 +if docker run --rm -v "$JENKINS_DIR:/jenkins" -v "$WORKSPACE:/arvados" \
 +          --env ARVADOS_DEBUG=1 "$IMAGE" $COMMAND; then
 +    # Success - nothing more to do.
 +    true
 +else
 +    FINAL_EXITCODE=$?
 +    echo "ERROR: $tag build failed with exit status $FINAL_EXITCODE." >&2
 +fi
  
  exit $FINAL_EXITCODE

commit d20e33394de2a85f17399e0e4d9d7d2e52c94178
Author: Peter Amstutz <peter.amstutz at curoverse.com>
Date:   Thu Oct 15 16:21:56 2015 -0400

    7370: Refactoring way the package test is set up and executed.

diff --git a/jenkins/deb-common-test-packages.sh b/jenkins/deb-common-test-packages.sh
index f40ba7b..d9d0301 100755
--- a/jenkins/deb-common-test-packages.sh
+++ b/jenkins/deb-common-test-packages.sh
@@ -1,29 +1,9 @@
-#!/bin/sh
+#!/bin/bash
 
-if test "$1" = --run-test ; then
+# Multiple .deb based distros symlink to this script, so extract the target
+# from the invocation path.
+target=$(echo $0 | sed 's/.*test-packages-\([^.]*\)\.sh.*/\1/')
 
-    if test -z "$WORKSPACE" ; then
-        echo "Must set WORKSPACE"
-        exit 1
-    fi
-
-    self=$(readlink -f $0)
-    base=$(dirname $self)
-
-    cd $WORKSPACE/packages/$2
-    dpkg-scanpackages . /dev/null | gzip -c9 > Packages.gz
-
-    exec docker run \
-         --rm \
-         --volume=$WORKSPACE/packages/$2:/mnt \
-         --volume=$self:/root/run-test.sh \
-         --volume=$base/common-test-packages.sh:/root/common-test.sh \
-         --workdir=/mnt \
-         $3 \
-         /root/run-test.sh
-fi
-
-echo "deb file:///mnt /" >>/etc/apt/sources.list
 apt-get -qq update
 if ! apt-get -qq --assume-yes --force-yes install \
      python-arvados-python-client python-arvados-fuse arvados-node-manager
@@ -34,7 +14,7 @@ fi
 mkdir -p /tmp/opts
 cd /tmp/opts
 
-for r in /mnt/python-*amd64.deb ; do
+for r in /arvados/packages/$target/python-*amd64.deb ; do
     dpkg-deb -x $r .
 done
 
@@ -44,4 +24,4 @@ for so in $(find . -name "*.so") ; do
     ldd $so | awk '($3 ~ /^\//){print $3}' | sort -u | xargs dpkg -S | cut -d: -f1 | sort -u
 done
 
-exec /root/common-test.sh
+exec /jenkins/common-test-packages.sh
diff --git a/jenkins/dockerfiles/centos6/Dockerfile b/jenkins/dockerfiles/centos6/Dockerfile
index ca974df..d0daef6 100644
--- a/jenkins/dockerfiles/centos6/Dockerfile
+++ b/jenkins/dockerfiles/centos6/Dockerfile
@@ -19,7 +19,10 @@ RUN gpg --keyserver pool.sks-keyservers.net --recv-keys D39DC0E3 && \
 ADD https://www.softwarecollections.org/en/scls/rhscl/rh-python34/epel-6-x86_64/download/rhscl-rh-python34-epel-6-x86_64.noarch.rpm https://www.softwarecollections.org/en/scls/rhscl/python27/epel-6-x86_64/download/rhscl-python27-epel-6-x86_64.noarch.rpm /opt/
 
 RUN yum -q -y install /opt/rhscl-*.rpm
-RUN yum -q -y install python27 rh-python34
+
+# Need to "touch" RPM database to workaround bug in interaction between
+# overlayfs and yum (https://bugzilla.redhat.com/show_bug.cgi?id=1213602)
+RUN touch /var/lib/rpm/* && yum -q -y install python27 rh-python34
 
 ENV WORKSPACE /arvados
 CMD ["scl", "enable", "rh-python34", "python27", "/usr/local/rvm/bin/rvm-exec default bash /jenkins/run-build-packages.sh --target centos6"]
diff --git a/jenkins/package-test-dockerfiles/centos6/Dockerfile b/jenkins/package-test-dockerfiles/centos6/Dockerfile
new file mode 100644
index 0000000..5e354e2
--- /dev/null
+++ b/jenkins/package-test-dockerfiles/centos6/Dockerfile
@@ -0,0 +1,9 @@
+FROM centos:6
+MAINTAINER Peter Amstutz <peter.amstutz at curoverse.com>
+
+RUN yum -q install --assumeyes scl-utils && \
+    curl -L -O https://www.softwarecollections.org/en/scls/rhscl/python27/epel-6-x86_64/download/rhscl-python27-epel-6-x86_64.noarch.rpm && \
+    yum -q install --assumeyes rhscl-python27-epel-6-x86_64.noarch.rpm && \
+    yum -q install --assumeyes python27
+
+COPY localrepo.repo /etc/yum.repos.d/localrepo.repo
\ No newline at end of file
diff --git a/jenkins/package-test-dockerfiles/centos6/localrepo.repo b/jenkins/package-test-dockerfiles/centos6/localrepo.repo
new file mode 100644
index 0000000..ac6b898
--- /dev/null
+++ b/jenkins/package-test-dockerfiles/centos6/localrepo.repo
@@ -0,0 +1,5 @@
+[localrepo]
+name=Arvados Test
+baseurl=file:///arvados/packages/centos6
+gpgcheck=0
+enabled=1
diff --git a/jenkins/package-test-dockerfiles/debian7/Dockerfile b/jenkins/package-test-dockerfiles/debian7/Dockerfile
new file mode 100644
index 0000000..fb789c6
--- /dev/null
+++ b/jenkins/package-test-dockerfiles/debian7/Dockerfile
@@ -0,0 +1,4 @@
+FROM debian:7
+MAINTAINER Peter Amstutz <peter.amstutz at curoverse.com>
+
+RUN echo "deb file:///arvados/packages/debian7/ /" >>/etc/apt/sources.list
diff --git a/jenkins/package-test-dockerfiles/debian8/Dockerfile b/jenkins/package-test-dockerfiles/debian8/Dockerfile
new file mode 100644
index 0000000..fbcd8f4
--- /dev/null
+++ b/jenkins/package-test-dockerfiles/debian8/Dockerfile
@@ -0,0 +1,4 @@
+FROM debian:8
+MAINTAINER Peter Amstutz <peter.amstutz at curoverse.com>
+
+RUN echo "deb file:///arvados/packages/debian8/ /" >>/etc/apt/sources.list
\ No newline at end of file
diff --git a/jenkins/package-test-dockerfiles/ubuntu1204/Dockerfile b/jenkins/package-test-dockerfiles/ubuntu1204/Dockerfile
new file mode 100644
index 0000000..4b6e936
--- /dev/null
+++ b/jenkins/package-test-dockerfiles/ubuntu1204/Dockerfile
@@ -0,0 +1,4 @@
+FROM ubuntu:precise
+MAINTAINER Peter Amstutz <peter.amstutz at curoverse.com>
+
+RUN echo "deb file:///arvados/packages/ubuntu1204/ /" >>/etc/apt/sources.list
\ No newline at end of file
diff --git a/jenkins/package-test-dockerfiles/ubuntu1404/Dockerfile b/jenkins/package-test-dockerfiles/ubuntu1404/Dockerfile
new file mode 100644
index 0000000..4f49d92
--- /dev/null
+++ b/jenkins/package-test-dockerfiles/ubuntu1404/Dockerfile
@@ -0,0 +1,4 @@
+FROM ubuntu:trusty
+MAINTAINER Peter Amstutz <peter.amstutz at curoverse.com>
+
+RUN echo "deb file:///arvados/packages/ubuntu1404/ /" >>/etc/apt/sources.list
\ No newline at end of file
diff --git a/jenkins/run-build-packages-one-target.sh b/jenkins/run-build-packages-one-target.sh
index 5451a4e..3e0e136 100755
--- a/jenkins/run-build-packages-one-target.sh
+++ b/jenkins/run-build-packages-one-target.sh
@@ -10,6 +10,8 @@ Syntax:
     Distribution to build packages for (default: debian7)
 --command
     Build command to execute (default: use built-in Docker image command)
+--test-packages
+    Run package install test script "test-packages-$target.sh"
 
 WORKSPACE=path         Path to the Arvados source tree to build packages from
 
@@ -32,7 +34,7 @@ if ! [[ -d "$WORKSPACE" ]]; then
 fi
 
 PARSEDOPTS=$(getopt --name "$0" --longoptions \
-    help,target:,command: \
+    help,test-packages,target:,command: \
     -- "" "$@")
 if [ $? -ne 0 ]; then
     exit 1
@@ -55,6 +57,9 @@ while [ $# -gt 0 ]; do
         --command)
             COMMAND="$2"; shift
             ;;
+        --test-packages)
+            test_packages=1
+            ;;
         --)
             if [ $# -gt 1 ]; then
                 echo >&2 "$0: unrecognized argument '$2'. Try: $0 --help"
@@ -67,34 +72,48 @@ done
 
 set -e
 
-if [[ "$COMMAND" != "" ]]; then
-  COMMAND="/usr/local/rvm/bin/rvm-exec default bash /jenkins/$COMMAND --target $TARGET"
+if [[ -n "$test_packages" ]]; then
+    if [[ -n "$(find $WORKSPACE/packages/$TARGET -name *.rpm)" ]] ; then
+        createrepo $WORKSPACE/packages/$TARGET
+    fi
+
+    if [[ -n "$(find $WORKSPACE/packages/$TARGET -name *.deb)" ]] ; then
+        (cd $WORKSPACE/packages/$TARGET
+         dpkg-scanpackages . /dev/null | gzip -c > Packages.gz
+        )
+    fi
+
+    COMMAND="/jenkins/test-packages-$TARGET.sh"
+    IMAGE="arvados/package-test:$TARGET"
+else
+    IMAGE="arvados/build:$TARGET"
+    if [[ "$COMMAND" != "" ]]; then
+        COMMAND="/usr/local/rvm/bin/rvm-exec default bash /jenkins/$COMMAND --target $TARGET"
+    fi
 fi
 
-FINAL_EXITCODE=0
 JENKINS_DIR=$(dirname "$(readlink -e "$0")")
 
-run_docker() {
-    local tag=$1; shift
-    if docker run -v "$JENKINS_DIR:/jenkins" -v "$WORKSPACE:/arvados" \
-          --env ARVADOS_DEBUG=1 "arvados/build:$tag" $COMMAND; then
-        # Success - nothing more to do.
-        true
-    else
-        FINAL_EXITCODE=$?
-        echo "ERROR: $tag build failed with exit status $FINAL_EXITCODE." >&2
-    fi
-}
+if [[ -n "$test_packages" ]]; then
+    pushd "$JENKINS_DIR/package-test-dockerfiles"
+else
+    pushd "$JENKINS_DIR/dockerfiles"
+fi
 
-# In case it's needed, build the container. This costs just a few
-# seconds when the container already exist, so it's not a big deal to
-# do it on each run.
-cd "$JENKINS_DIR/dockerfiles"
 echo $TARGET
 cd $TARGET
-time docker build -t arvados/build:$TARGET .
-cd ..
+time docker build --tag=$IMAGE .
+popd
 
-run_docker $TARGET
+FINAL_EXITCODE=0
+
+if docker run --rm -v "$JENKINS_DIR:/jenkins" -v "$WORKSPACE:/arvados" \
+          --env ARVADOS_DEBUG=1 "$IMAGE" $COMMAND; then
+    # Success - nothing more to do.
+    true
+else
+    FINAL_EXITCODE=$?
+    echo "ERROR: $tag build failed with exit status $FINAL_EXITCODE." >&2
+fi
 
 exit $FINAL_EXITCODE
diff --git a/jenkins/test-packages-centos6.sh b/jenkins/test-packages-centos6.sh
index 555b9f1..c8a62b5 100755
--- a/jenkins/test-packages-centos6.sh
+++ b/jenkins/test-packages-centos6.sh
@@ -1,62 +1,29 @@
-#!/bin/sh
+#!/bin/bash
 
-if test "$1" = --run-test ; then
-
-    if test -z "$WORKSPACE" ; then
-        echo "Must set WORKSPACE"
+if ! python --version |& grep "Python 2.7" >/dev/null ; then
+    # Re-execute in the software collections Python 2.7 environment.
+    exec scl enable python27 $0
+else
+    yum -q clean all
+    yum -q update
+    if ! yum -q install --assumeyes \
+         python27-python-arvados-python-client python27-python-arvados-fuse arvados-node-manager
+    then
         exit 1
     fi
 
-    self=$(readlink -f $0)
-    base=$(dirname $self)
+    mkdir -p /tmp/opts
+    cd /tmp/opts
 
-    createrepo $WORKSPACE/packages/centos6
+    for r in /arvados/packages/centos6/python27-python-*x86_64.rpm ; do
+        rpm2cpio $r | cpio -idm
+    done
 
-    exec docker run \
-         --rm \
-         --volume=$WORKSPACE/packages/centos6:/mnt \
-         --volume=$(readlink -f $0):/root/run-test.sh \
-         --volume=$base/common-test-packages.sh:/root/common-test.sh \
-         --workdir=/mnt \
-         centos:6 \
-         /root/run-test.sh --install-scl
-fi
+    for so in $(find . -name "*.so") ; do
+        echo
+        echo "== Packages dependencies for $so =="
+        ldd $so | awk '($3 ~ /^\//){print $3}' | sort -u | xargs rpm -qf | sort -u
+    done
 
-if test "$1" = --install-scl ; then
-    yum -q install --assumeyes scl-utils
-    curl -L -O https://www.softwarecollections.org/en/scls/rhscl/python27/epel-6-x86_64/download/rhscl-python27-epel-6-x86_64.noarch.rpm
-    yum -q install --assumeyes rhscl-python27-epel-6-x86_64.noarch.rpm
-    yum -q install --assumeyes python27
-    exec scl enable python27 $0
+    exec /jenkins/common-test-packages.sh
 fi
-
-cat >/etc/yum.repos.d/localrepo.repo <<EOF
-[localrepo]
-name=Arvados Test
-baseurl=file:///mnt
-gpgcheck=0
-enabled=1
-EOF
-
-yum -q clean all
-yum -q update
-if ! yum -q install --assumeyes \
-     python27-python-arvados-python-client python27-python-arvados-fuse arvados-node-manager
-then
-    exit 1
-fi
-
-mkdir -p /tmp/opts
-cd /tmp/opts
-
-for r in /mnt/python27-python-*x86_64.rpm ; do
-    rpm2cpio $r | cpio -idm
-done
-
-for so in $(find . -name "*.so") ; do
-    echo
-    echo "== Packages dependencies for $so =="
-    ldd $so | awk '($3 ~ /^\//){print $3}' | sort -u | xargs rpm -qf | sort -u
-done
-
-exec /root/common-test.sh
diff --git a/jenkins/test-packages-debian7.sh b/jenkins/test-packages-debian7.sh
deleted file mode 100755
index c5cbfe6..0000000
--- a/jenkins/test-packages-debian7.sh
+++ /dev/null
@@ -1,3 +0,0 @@
-#!/bin/sh
-
-exec ./deb-common-test-packages.sh --run-test debian7 debian:wheezy
diff --git a/jenkins/test-packages-debian7.sh b/jenkins/test-packages-debian7.sh
new file mode 120000
index 0000000..54ce94c
--- /dev/null
+++ b/jenkins/test-packages-debian7.sh
@@ -0,0 +1 @@
+deb-common-test-packages.sh
\ No newline at end of file
diff --git a/jenkins/test-packages-debian8.sh b/jenkins/test-packages-debian8.sh
deleted file mode 100755
index 5502f46..0000000
--- a/jenkins/test-packages-debian8.sh
+++ /dev/null
@@ -1,3 +0,0 @@
-#!/bin/sh
-
-exec ./deb-common-test-packages.sh --run-test debian8 debian:jessie
diff --git a/jenkins/test-packages-debian8.sh b/jenkins/test-packages-debian8.sh
new file mode 120000
index 0000000..54ce94c
--- /dev/null
+++ b/jenkins/test-packages-debian8.sh
@@ -0,0 +1 @@
+deb-common-test-packages.sh
\ No newline at end of file
diff --git a/jenkins/test-packages-ubuntu1204.sh b/jenkins/test-packages-ubuntu1204.sh
deleted file mode 100755
index 00727a0..0000000
--- a/jenkins/test-packages-ubuntu1204.sh
+++ /dev/null
@@ -1,3 +0,0 @@
-#!/bin/sh
-
-exec ./deb-common-test-packages.sh --run-test ubuntu1204 ubuntu:precise
diff --git a/jenkins/test-packages-ubuntu1204.sh b/jenkins/test-packages-ubuntu1204.sh
new file mode 120000
index 0000000..54ce94c
--- /dev/null
+++ b/jenkins/test-packages-ubuntu1204.sh
@@ -0,0 +1 @@
+deb-common-test-packages.sh
\ No newline at end of file
diff --git a/jenkins/test-packages-ubuntu1404.sh b/jenkins/test-packages-ubuntu1404.sh
deleted file mode 100755
index bfc2c85..0000000
--- a/jenkins/test-packages-ubuntu1404.sh
+++ /dev/null
@@ -1,3 +0,0 @@
-#!/bin/sh
-
-exec ./deb-common-test-packages.sh --run-test ubuntu1404 ubuntu:trusty
diff --git a/jenkins/test-packages-ubuntu1404.sh b/jenkins/test-packages-ubuntu1404.sh
new file mode 120000
index 0000000..54ce94c
--- /dev/null
+++ b/jenkins/test-packages-ubuntu1404.sh
@@ -0,0 +1 @@
+deb-common-test-packages.sh
\ No newline at end of file

-----------------------------------------------------------------------


hooks/post-receive
-- 




More information about the arvados-commits mailing list